/* Fonts */
@import url("https://fonts.googleapis.com/css2?family=Quicksand&display=swap");

/* General styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Quicksand", sans-serif;
  overflow-x: hidden !important;
  background-image: linear-gradient(rgba(0, 0, 0, 0.416), rgba(0, 0, 0, 0.416)),
    url("/assets/images/support.png");
  background-color: #1c4075;
  background-repeat: no-repeat;
  background-size: cover;
  height: 100vh;
}

/* .background {
  height: 100%;
} */

.alert {
  display: none;
}

.request-container {
  width: 40%;
  display: flex;
  flex-direction: column;
  padding: 30px 5px;
  margin: auto;
}
.action-container {
  height: 50vh;
  margin: auto;
  width: 70%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 120px;
}

.action-container .form {
  margin: 0 auto !important;
}

.action-container form input {
  margin-right: 10px !important;
  width: 600px;
}

.scan-button {
  text-align: center;
}
.scan-button a {
  font-size: 24px;
}
.scan-button a:hover {
  color: #000000 !important;
  font-weight: bold;
}

.request-container h1,
h4 {
  color: #fff;
  text-align: center;
  margin-bottom: 4%;
}

h4 {
  margin-top: 50%;
}

@media only screen and (max-width: 850px) {
  .request-container {
    width: 70%;
  }

  .background {
    background-position: center;
  }

  .action-container {
    width: 85%;
  }

  .action-container form input {
    margin-right: 10px !important;
    width: 330px;
  }
}
@media only screen and (max-width: 415px) {
  .request-container {
    width: 90%;
  }
  .action-container {
    justify-content: center;
    flex-direction: column !important;
    width: 100%;
  }

  .scan-button {
    text-align: center;
    margin-bottom: 25px;
  }

  .action-container form input {
    margin-right: 10px !important;
    width: 180px;
  }

  video {
    width: 100% !important;
    max-height: 100% !important;
  }
}
